.header-top-bar {
  --bs-link-color: var(--bs-white);
  --bs-link-hover-color: var(--bs-link-color);
  display: flex;
  align-items: center;
  min-height: 1.75rem;
  color: var(--bs-link-color);
  text-align: center;
  text-transform: uppercase;
  font-size: 0.75rem;
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
  background-color: var(--bs-primary);
  transition: background-color var(--ease-in-out);
}
.header-top-bar:hover {
  background-color: var(--bs-primary-darker);
}
.main-header-wrapper {
  --bs-link-color: var(--bs-white);
  --bs-link-hover-color: var(--bs-primary);
  position: sticky;
  top: 0;
  z-index: 12;
  padding-top: 1.25rem;
  padding-bottom: 1.25rem;
  box-shadow: var(--hard-shadow);
  background-color: var(--bs-secondary);
}
.btn-header-item {
  --bs-btn-color: var(--bs-primary);
  --bs-btn-hover-color: var(--bs-primary);
  --bs-btn-active-color: var(--bs-primary);
  --bs-btn-font-size: 1.25rem;
  --bs-btn-padding-y: 0.25rem;
  --bs-btn-padding-x: 0.5rem;
  --bs-btn-border-width: 0;
  --bs-btn-active-bg: rgba(var(--bs-primary-rgb), 0.2);
  flex-direction: column;
}
.btn-header-item-label {
  font-size: 0.45em;
  margin-top: 0.5rem;
}
.dropdown-lang .btn {
  --bs-btn-color: var(--bs-white);
  --bs-btn-border-width: 0;
  --bs-btn-hover-color: var(--bs-btn-color);
  --bs-btn-active-color: var(--bs-btn-color);
  --bs-btn-hover-bg: rgba(var(--bs-primary-rgb), 0.2);
  --bs-btn-active-bg: rgba(var(--bs-primary-rgb), 0.2);
  font-weight: var(--fw-normal);
}
.dropdown-lang .dropdown-menu {
  font-weight: var(--fw-bold);
}
.dropdown-lang .dropdown-menu li:hover {
  opacity: 0.9;
}
.dropdown-lang .dropdown-menu .active {
  display: none;
}
/* - menu - */
.main-menu-offcanvas {
  --bs-offcanvas-bg: var(--bs-secondary);
}
.main-menu-wrapper {
  list-style-type: none;
  padding-right: 0;
  margin-bottom: 0;
  
}
.main-menu-wrapper a {
  text-transform: uppercase;
  text-decoration: none;
  transition: color var(--ease-in-out);
}

.main-menu-wrapper .menu-divider {
  height: 2rem;
  border-left: 1px solid var(--bs-white);
}
/* - footer - */
.main-footer {
  --bs-link-color: var(--bs-white);
  --bs-link-hover-color: var(--bs-primary);
  color: var(--bs-white);
  background-color: var(--bs-secondary);
}
.main-footer .btn-link {
  --bs-btn-color: var(--bs-link-color);
  --bs-btn-hover-color: var(--bs-link-hover-color);
}
.main-footer p {
  margin-bottom: 0;
}

@media (max-width: 767.98px) {
  body {
    --nav-mobile-height: 3.5rem;
    padding-bottom: var(--nav-mobile-height);
  }
  .nav-brand img {
    max-width: 10rem;
  }
  .nav-mobile-wrapper {
    grid-template-columns: repeat(2, 1fr);
    position: fixed;
    left: 0;
    bottom: 0;
    height: var(--nav-mobile-height);
    padding: 0 0.625rem env(safe-area-inset-bottom);
    box-shadow: 0 -0.188rem 0.375rem rgb(0 0 0 / 16%);
    background-color: var(--bs-body-bg);
    transition: background-color var(--ease-in-out);
  }
  .nav-mobile-wrapper .dropdown-menu {
    margin-bottom: -0.15rem !important;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
    border-bottom: 1px solid var(--bs-border-color);
    box-shadow: 0 -3px 6px rgba(0, 0, 0, 0.16);
  }
}

@media (min-width: 768px) {
  .dropdown-lang .btn {
    --bs-btn-padding-x: 0rem;
    width: 3rem;
  }
}

@media (max-width: 991.98px) {
  .main-menu-wrapper li {
    font-size: 1rem;
    padding-top: 1rem;
    padding-bottom: 1rem;
    border-top: 1px solid rgba(var(--bs-secondary-rgb), 0.3);
  }
  .main-menu-wrapper .menu-divider {
    width: 100%;
    height: auto;
    border-top: 1px solid var(--bs-white);
    border-left-width: 0;
    padding: 0;
    margin-top: 1rem;
    margin-bottom: 1rem;
  }
}

@media (min-width: 992px) {
  .main-menu-wrapper {
    display: flex;
    align-items: center;
    flex-shrink: 0;
    gap: 1rem;
    margin-right: auto;
    margin-left: auto;
  }
}

@media (min-width: 1200px) {
  .main-menu-wrapper {
    gap: 3rem;
  }
}
